For the complete documentation index, see llms.txt. This page is also available as Markdown.

Bot Hooks

Get all bot webhooks

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List of user's bot webhooks

application/json
BotWebhook[]Optional
get/api/v2/webhook/bot
GET /api/v2/webhook/bot HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

List of user's bot webhooks

[]

Create a new bot webhook

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Body
namestringOptional

The name of the bot hook max 255 characters

Example: My bot hook
descriptionstringOptional

The description of the bot hook max 255 characters

Example: My bot hook description
is_safebooleanOptional

Set it true if want to set hash key

Example: false
hash_keystringOptional

The key of the bot hook

Example: 23n9c22c2vjk2cjn2opv8l2vhi
Responses
201

Bot webhook created successfully

application/json
anyOptional
post/api/v2/webhook/bot
POST /api/v2/webhook/bot HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 118

{
  "name": "My bot hook",
  "description": "My bot hook description",
  "is_safe": false,
  "hash_key": "23n9c22c2vjk2cjn2opv8l2vhi"
}

No content

Get bot webhook by ID

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

Bot webhook details

application/json
anyOptional
get/api/v2/webhook/bot/{id}
GET /api/v2/webhook/bot/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*

No content

Update bot webhook

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
namestringOptional

The name of the bot hook max 255 characters

Example: My bot hook
descriptionstringOptional

The description of the bot hook max 255 characters

Example: My bot hook description
is_safebooleanOptional

Set it true if want to set hash key

Example: false
hash_keystringOptional

The key of the bot hook

Example: 23n9c22c2vjk2cjn2opv8l2vhi
Responses
200

Bot webhook updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/webhook/bot/{id}
PUT /api/v2/webhook/bot/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 118

{
  "name": "My bot hook",
  "description": "My bot hook description",
  "is_safe": false,
  "hash_key": "23n9c22c2vjk2cjn2opv8l2vhi"
}
{
  "message": "Success"
}

Delete bot webhook

delete
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

Bot webhook deleted successfully

application/json
stringOptionalExample: Deleted
delete/api/v2/webhook/bot/{id}
DELETE /api/v2/webhook/bot/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
Deleted

Get webhook shares

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

List of webhook shares

application/json
WebhookShare[]Optional
get/api/v2/webhook/bot/{id}/shares
GET /api/v2/webhook/bot/{id}/shares HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[]

Share webhook with user

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
userIdstringRequired

The user id of the user to share the webhook with

Example: 23n9c22c2vjk2cjn2opv8l2vhi
Responses
201

Webhook shared successfully

application/json
anyOptional
post/api/v2/webhook/bot/share/{id}
POST /api/v2/webhook/bot/share/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 39

{
  "userId": "23n9c22c2vjk2cjn2opv8l2vhi"
}

No content

Remove webhook share

delete
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
userIdstringRequired

User ID to unshare with

Responses
200

Share removed successfully

application/json
messagestringOptionalExample: Success
delete/api/v2/webhook/bot/share/{id}
DELETE /api/v2/webhook/bot/share/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 17

{
  "userId": "text"
}
{
  "message": "Success"
}

Get CEX signal bots for webhook

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Query parameters
pageintegerRequired
limitintegerRequired
Responses
200

Paginated CEX signal bots

application/json
anyOptional
get/api/v2/webhook/bot/bot/signal/{id}/cex
GET /api/v2/webhook/bot/bot/signal/{id}/cex?page=1&limit=1 HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*

No content

Get DEX signal bots for webhook

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Query parameters
pageintegerRequired
limitintegerRequired
Responses
200

Paginated DEX signal bots

application/json
anyOptional
get/api/v2/webhook/bot/bot/signal/{id}/dex
GET /api/v2/webhook/bot/bot/signal/{id}/dex?page=1&limit=1 HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*

No content

Update webhook status

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
statusstring · enumRequiredExample: ACTIVEPossible values:
Responses
200

Status updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/webhook/bot/{id}/status
PUT /api/v2/webhook/bot/{id}/status HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "status": "ACTIVE"
}
{
  "message": "Success"
}

Get all shared webhooks for user

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List of shared webhooks accessible to user

application/json
SharedWebhook[]Optional
get/api/v2/webhook/bot/shared
GET /api/v2/webhook/bot/shared HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

List of shared webhooks accessible to user

[]

Get webhooks shared with specific user

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired

User ID to get webhooks shared with

Responses
200

List of webhooks shared with specified user

application/json
SharedWebhook[]Optional
get/api/v2/webhook/bot/shared/with/{id}
GET /api/v2/webhook/bot/shared/with/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[]

Get webhooks shared by specific user

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired

User ID to get webhooks shared by

Responses
200

List of webhooks shared by specified user

application/json
SharedWebhook[]Optional
get/api/v2/webhook/bot/shared/by/{id}
GET /api/v2/webhook/bot/shared/by/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[]

Last updated